29Craters.jpg=Idaho Falls, Idaho - migrating Geese
29Craters14.jpg=Craters of the Moon, Idaho
29CratersPan33.JPG=Craters of the Moon, Idaho
29CratersPan08.JPG=Idaho Falls to Craters of the Moon
29CratersPan25.JPG=Craters of the Moon, Idaho
29Craters23.jpg=Craters of the Moon, Idaho - Indian Tunnel (Lava tube)
29CratersPan16.JPG=Craters of the Moon, Idaho
28Idaho1.jpg=From West Yellowstone to the Craters of the Moon via Idaho Falls
29Craters5.jpg=Idaho Falls to Craters of the Moon
29CratersPan15.JPG=Craters of the Moon, Idaho
29CratersPan07.JPG=Idaho Falls to Craters of the Moon
29CratersPan32.JPG=Craters of the Moon, Idaho - Indian Tunnel (Lava tube)
29Craters13.jpg=Craters of the Moon, Idaho
29CratersPan06.JPG=Idaho Falls, Idaho - Snake River
29CratersPan24.JPG=Craters of the Moon, Idaho
29Craters22.jpg=Craters of the Moon, Idaho - Indian Tunnel (Lava tube)
29Craters6.jpg=Idaho Falls to Craters of the Moon
29Craters8.jpg=Craters of the Moon, Idaho
29Craters16.jpg=Craters of the Moon, Idaho
29CratersPan35.JPG=Craters of the Moon, Idaho
28IdahoPan01.JPG=From West Yellowstone to the Craters of the Moon via Idaho Falls
29Craters17.jpg=Craters of the Moon, Idaho
29CratersPan36.JPG=Craters of the Moon, Idaho
29CratersPan05.JPG=Idaho Falls, Idaho - Snake River
29CratersPan18.JPG=Craters of the Moon, Idaho
29Craters7.jpg=Craters of the Moon, Idaho
28IdahoPan02.JPG=From West Yellowstone to the Craters of the Moon via Idaho Falls
29Craters21.jpg=Craters of the Moon, Idaho
29CratersPan40.JPG=Craters of the Moon, Idaho
29Craters9.jpg=Craters of the Moon, Idaho
29CratersPan21.JPG=Craters of the Moon, Idaho
DSC_0219.JPG=Craters of the Moon, Idaho
29CratersPan04.JPG=Idaho Falls, Idaho - Snake River
29Craters15.jpg=Craters of the Moon, Idaho
29Joy.jpg=Craters of the Moon, Idaho
29CratersPan34.JPG=Craters of the Moon, Idaho
29CratersPan17.JPG=Craters of the Moon, Idaho
29Craters20.jpg=Craters of the Moon, Idaho
29CratersPan03.JPG=Idaho Falls, Idaho - Snake River
29Craters19.jpg=Craters of the Moon, Idaho
29CratersPan38.JPG=Craters of the Moon, Idaho
29CratersPan20.JPG=Craters of the Moon, Idaho
DSC_0228.JPG=Craters of the Moon, Idaho
29CratersPan12.JPG=Craters of the Moon, Idaho
29Craters1.jpg=Idaho Falls, Idaho - Snake River
29CratersPan29.JPG=Craters of the Moon, Idaho
DSC_0335.JPG=Craters of the Moon, Idaho
29Craters26.jpg=Craters of the Moon, Idaho - Indian Tunnel (Lava tube)
29Craters2.jpg=Idaho Falls, Idaho
29Craters10.jpg=Craters of the Moon, Idaho
29Craters18.jpg=Craters of the Moon, Idaho
29CratersPan37.JPG=Craters of the Moon, Idaho
29CratersPan11.JPG=Craters of the Moon, Idaho
29CratersPan02.JPG=Idaho Falls, Idaho - Snake River
29CratersPan28.JPG=Craters of the Moon, Idaho
DSC_0327.JPG=Craters of the Moon, Idaho
29Craters3.jpg=Idaho Falls to Craters of the Moon
29CratersPan27.JPG=Craters of the Moon, Idaho
28Idaho.jpg=From West Yellowstone to the Craters of the Moon via Idaho Falls
DSC_0331.JPG=Craters of the Moon, Idaho
29Joy3.jpg=Craters of the Moon, Idaho - Indian Tunnel (Lava tube)
29Joy2.jpg=Craters of the Moon, Idaho - Indian Tunnel (Lava tube)
29Craters12.jpg=Craters of the Moon, Idaho
29CratersPan31.JPG=Craters of the Moon, Idaho
29Craters25.jpg=Craters of the Moon, Idaho - Indian Tunnel (Lava tube). Where the massive piece (about 2m sq) that fell from the roof
29CratersPan01.JPG=Idaho Falls, Idaho - Snake River
29CratersPan14.JPG=Craters of the Moon, Idaho
28Idaho3.jpg=From West Yellowstone to the Craters of the Moon via Idaho Falls
29CratersPan39.JPG=Craters of the Moon, Idaho
29Joy1.jpg=Craters of the Moon, Idaho
29CratersPan09.JPG=Craters of the Moon, Idaho
29CratersPan10a.JPG=Craters of the Moon, Idaho
29Craters11.jpg=Craters of the Moon, Idaho
29CratersPan30.JPG=Craters of the Moon, Idaho
29Craters24.jpg=Craters of the Moon, Idaho - Indian Tunnel (Lava tube). A massive piece (about 2m sq) that has fallen from the roof
map.gif=Craters of the Moon, Idaho
29Craters4.jpg=Idaho Falls to Craters of the Moon - Three Buttes
29CratersPan26.JPG=Craters of the Moon, Idaho
29CratersPan13.JPG=Craters of the Moon, Idaho
28Idaho2.jpg=From West Yellowstone to the Craters of the Moon via Idaho Falls
